---
title: '`glab securefile list`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

List secure files for a project.

```plaintext
glab securefile list [flags]
```

## Aliases

```plaintext
ls
```

## Examples

```console
# List all secure files.
glab securefile list

# List all secure files with 'cmd' alias.
glab securefile ls

# List a specific page of secure files.
glab securefile list --page 2

# List a specific page of secure files, with a custom page size.
glab securefile list --page 2 --per-page 10
```

## Options

```plaintext
  -p, --page int       Page number. (default 1)
  -P, --per-page int   Number of items to list per page. (default 30)
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
